Loading...
Searching...
No Matches
openshot::ErrorEncodingAudio Class Reference

Exception when encoding audio packet. More...

`#include <Exceptions.h>`

Inheritance diagram for openshot::ErrorEncodingAudio:

## Public Member Functions

| ErrorEncodingAudio (std::string message, int64_t frame_number=-1)
| Constructor.
virtual | ~ErrorEncodingAudio () noexcept
Public Member Functions inherited from openshot::FrameExceptionBase
| FrameExceptionBase (std::string message, int64_t frame_number=-1)
virtual std::string | py_message () const override
Public Member Functions inherited from openshot::ExceptionBase
| ExceptionBase (std::string message)
virtual const char * | what () const noexcept
virtual | ~ExceptionBase () noexcept

## Additional Inherited Members

Public Attributes inherited from openshot::FrameExceptionBase
int64_t | frame_number
Protected Attributes inherited from openshot::ExceptionBase
std::string | m_message

## Detailed Description

Exception when encoding audio packet.

Definition at line 127 of file Exceptions.h.

## Constructor & Destructor Documentation

## ErrorEncodingAudio()

openshot::ErrorEncodingAudio::ErrorEncodingAudio | ( | std::string | message,
|  | int64_t | frame_number = `-1`
| ) |  |

inline

Constructor.

Parameters

  message | A message to accompany the exception
  frame_number | The frame number being processed

Definition at line 136 of file Exceptions.h.

## ~ErrorEncodingAudio()

virtual openshot::ErrorEncodingAudio::~ErrorEncodingAudio | ( |  | ) |

inline virtual noexcept

Definition at line 138 of file Exceptions.h.

The documentation for this class was generated from the following file:

- Exceptions.h